# Categories ## List categories **get** `/api/v1/categories` List categories ### Query Parameters - `cursor: optional string` Opaque cursor from the previous response `nextCursor`. - `includeDeleted: optional boolean` - `limit: optional number` - `spaceId: optional string` Optional space id; when omitted, the user’s default space is used. ### Example ```http curl https://$FLUIDWAVE_HOST/api/v1/categories ``` ## Create category **post** `/api/v1/categories` Increments the Replicache space version via repVersionIncrement after writing. ### Query Parameters - `spaceId: optional string` Optional space id; when omitted, the user’s default space is used. ### Example ```http curl https://$FLUIDWAVE_HOST/api/v1/categories \ -X POST ``` ## Get category **get** `/api/v1/categories/{categoryId}` Get category ### Path Parameters - `categoryId: string` ### Query Parameters - `spaceId: optional string` Optional space id; when omitted, the user’s default space is used. ### Example ```http curl https://$FLUIDWAVE_HOST/api/v1/categories/$CATEGORY_ID ``` ## Update category **patch** `/api/v1/categories/{categoryId}` Increments the Replicache space version via repVersionIncrement after writing. ### Path Parameters - `categoryId: string` ### Query Parameters - `spaceId: optional string` Optional space id; when omitted, the user’s default space is used. ### Example ```http curl https://$FLUIDWAVE_HOST/api/v1/categories/$CATEGORY_ID \ -X PATCH ``` ## Delete category (soft) **delete** `/api/v1/categories/{categoryId}` Increments the Replicache space version via repVersionIncrement after writing. ### Path Parameters - `categoryId: string` ### Query Parameters - `spaceId: optional string` Optional space id; when omitted, the user’s default space is used. ### Example ```http curl https://$FLUIDWAVE_HOST/api/v1/categories/$CATEGORY_ID \ -X DELETE ```